Security Enhanced Linux Reference Policy

# Layer: services

## Module: rlogin

Interfaces

### Description:

Remote login daemon.

### Interfaces:

rlogin_domtrans( domain )

##### Summary

Execute rlogind in the rlogin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rlogin_home_filetrans_logind_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the rlogind home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

rlogin_manage_rlogind_home_files( domain )

##### Summary

Create, read, write, and delete rlogind home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rlogin_manage_rlogind_tmp_content( domain )

##### Summary

Create, read, write, and delete rlogind temporary content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rlogin_read_home_content( domain )

##### Summary

Read rlogin user home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rlogin_relabel_rlogind_home_files( domain )

##### Summary

Relabel rlogind home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rlogin_relabel_rlogind_tmp_content( domain )

##### Summary

Relabel rlogind temporary content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return